var Wick = Wick || {};
Wick.VoucherRemove = (function () {
    function init() {
        $('.checkout-widget__voucher-remove').on('click', function () {
            var voucher = $(this).parent();
            voucher.addClass('checkout-widget__voucher-removed').text('Voucher removed');
            setTimeout(function () {
                voucher.remove();
            }, 5000);
        });
    }

    if (!$('.page_basket').length && $('.basket').length) {
        return;
    }

    init()

})();
